<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <template class="GcalWeatherSettings" parent="GtkBox">
    <property name="orientation">vertical</property>
    <property name="margin-top">12</property>
    <property name="margin-bottom">12</property>
    <property name="margin-start">12</property>
    <property name="margin-end">12</property>
    <property name="spacing">6</property>
    <child>
      <object class="GtkBox">
        <property name="spacing">18</property>
        <child>
          <object class="GtkLabel">
            <property name="hexpand">True</property>
            <property name="xalign">0.0</property>
            <property name="label" translatable="yes">Show Weather</property>
          </object>
        </child>
        <child>
          <object class="GtkSwitch" id="show_weather_switch">
            <signal name="notify::active" handler="on_show_weather_changed_cb" object="GcalWeatherSettings" swapped="no" />
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="weather_auto_location_box">
        <property name="spacing">18</property>
        <child>
          <object class="GtkLabel">
            <property name="hexpand">True</property>
            <property name="xalign">0.0</property>
            <property name="label" translatable="yes">Automatic Location</property>
          </object>
        </child>
        <child>
          <object class="GtkSwitch" id="weather_auto_location_switch">
            <signal name="notify::active" handler="on_weather_auto_location_changed_cb" object="GcalWeatherSettings" swapped="no" />
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkEntry" id="weather_location_entry">
        <property name="primary_icon_name">edit-find-symbolic</property>
        <property name="primary_icon_activatable">False</property>
        <property name="primary_icon_sensitive">False</property>
        <signal name="changed" handler="on_weather_location_searchbox_changed_cb" object="GcalWeatherSettings" swapped="no" />
        <signal name="activate" handler="on_weather_location_searchbox_changed_cb" object="GcalWeatherSettings" swapped="no" />
      </object>
    </child>
  </template>
</interface>
